	.file	"flybox.c"
	.text
	.section	.rodata.str1.1,"aMS",@progbits,1
.LC0:
	.string	" PNG TEXTURES BOX: "
	.text
	.globl	textureLoader
	.type	textureLoader, @function
textureLoader:
.LFB22:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	subq	$192, %rsp
1:	call	mcount
	movabsq	$5496132399879702864, %rax
	movabsq	$3344875103737299545, %rdx
	movq	%rax, -32(%rbp)
	movq	%rdx, -24(%rbp)
	movl	$6778480, -16(%rbp)
	movabsq	$5496132399879702864, %rax
	movabsq	$3347425970713739865, %rdx
	movq	%rax, -64(%rbp)
	movq	%rdx, -56(%rbp)
	movl	$6778480, -48(%rbp)
	movabsq	$5496132399879702864, %rax
	movabsq	$3347412776574206553, %rdx
	movq	%rax, -96(%rbp)
	movq	%rdx, -88(%rbp)
	movl	$6778480, -80(%rbp)
	movabsq	$5496132399879702864, %rax
	movabsq	$3347419373643973209, %rdx
	movq	%rax, -128(%rbp)
	movq	%rdx, -120(%rbp)
	movl	$6778480, -112(%rbp)
	movabsq	$5496132399879702864, %rax
	movabsq	$3346303369341780569, %rdx
	movq	%rax, -160(%rbp)
	movq	%rdx, -152(%rbp)
	movl	$6778480, -144(%rbp)
	movabsq	$5496132399879702864, %rax
	movabsq	$3345721727690687065, %rdx
	movq	%rax, -192(%rbp)
	movq	%rdx, -184(%rbp)
	movl	$6778480, -176(%rbp)
	movl	$nor, %esi
	leaq	-32(%rbp), %rdi
	call	read_png
	movl	$eas, %esi
	leaq	-64(%rbp), %rdi
	call	read_png
	movl	$sou, %esi
	leaq	-96(%rbp), %rdi
	call	read_png
	movl	$wes, %esi
	leaq	-128(%rbp), %rdi
	call	read_png
	movl	$top, %esi
	leaq	-160(%rbp), %rdi
	call	read_png
	movl	$bot, %esi
	leaq	-192(%rbp), %rdi
	call	read_png
	movl	$.LC0, %edi
	call	puts
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE22:
	.size	textureLoader, .-textureLoader
	.globl	MipmapsImage2
	.type	MipmapsImage2, @function
MipmapsImage2:
.LFB23:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%rbx
	subq	$8, %rsp
	.cfi_offset 3, -24
1:	call	mcount
	movq	%rdx, %rbx
	movl	$3553, %edi
	call	glEnable
	movl	$3553, %edi
	call	*__glewGenerateMipmap(%rip)
	movl	$9729, %edx
	movl	$10240, %esi
	movl	$3553, %edi
	call	glTexParameteri
	movl	$9986, %edx
	movl	$10241, %esi
	movl	$3553, %edi
	call	glTexParameteri
	subq	$8, %rsp
	pushq	%rbx
	pushq	$5121
	pushq	$32993
	movl	$0, %r9d
	movl	$128, %r8d
	movl	$128, %ecx
	movl	$32856, %edx
	movl	$0, %esi
	movl	$3553, %edi
	call	glTexImage2D
	addq	$24, %rsp
	pushq	%rbx
	pushq	$5121
	pushq	$32993
	movl	$0, %r9d
	movl	$64, %r8d
	movl	$64, %ecx
	movl	$32856, %edx
	movl	$1, %esi
	movl	$3553, %edi
	call	glTexImage2D
	addq	$24, %rsp
	pushq	%rbx
	pushq	$5121
	pushq	$32993
	movl	$0, %r9d
	movl	$32, %r8d
	movl	$32, %ecx
	movl	$32856, %edx
	movl	$2, %esi
	movl	$3553, %edi
	call	glTexImage2D
	addq	$24, %rsp
	pushq	%rbx
	pushq	$5121
	pushq	$32993
	movl	$0, %r9d
	movl	$16, %r8d
	movl	$16, %ecx
	movl	$32856, %edx
	movl	$3, %esi
	movl	$3553, %edi
	call	glTexImage2D
	addq	$24, %rsp
	pushq	%rbx
	pushq	$5121
	pushq	$32993
	movl	$0, %r9d
	movl	$8, %r8d
	movl	$8, %ecx
	movl	$32856, %edx
	movl	$4, %esi
	movl	$3553, %edi
	call	glTexImage2D
	addq	$24, %rsp
	pushq	%rbx
	pushq	$5121
	pushq	$32993
	movl	$0, %r9d
	movl	$4, %r8d
	movl	$4, %ecx
	movl	$32856, %edx
	movl	$5, %esi
	movl	$3553, %edi
	call	glTexImage2D
	addq	$24, %rsp
	pushq	%rbx
	pushq	$5121
	pushq	$32993
	movl	$0, %r9d
	movl	$2, %r8d
	movl	$2, %ecx
	movl	$32856, %edx
	movl	$6, %esi
	movl	$3553, %edi
	call	glTexImage2D
	addq	$24, %rsp
	pushq	%rbx
	pushq	$5121
	pushq	$32993
	movl	$0, %r9d
	movl	$1, %r8d
	movl	$1, %ecx
	movl	$32856, %edx
	movl	$7, %esi
	movl	$3553, %edi
	call	glTexImage2D
	addq	$32, %rsp
	movl	$9729, %edx
	movl	$10240, %esi
	movl	$3553, %edi
	call	glTexParameteri
	movl	$9986, %edx
	movl	$10241, %esi
	movl	$3553, %edi
	call	glTexParameteri
	subq	$8, %rsp
	pushq	%rbx
	movl	$5121, %r9d
	movl	$32993, %r8d
	movl	$128, %ecx
	movl	$128, %edx
	movl	$32856, %esi
	movl	$3553, %edi
	call	gluBuild2DMipmaps
	movl	$cubeMapTexAD, %esi
	movl	$1, %edi
	call	glGenTextures
	movl	cubeMapTexAD(%rip), %esi
	movl	$34067, %edi
	call	glBindTexture
	movl	$9729, %edx
	movl	$10241, %esi
	movl	$34067, %edi
	call	glTexParameteri
	movl	$33071, %edx
	movl	$10242, %esi
	movl	$34067, %edi
	call	glTexParameteri
	movl	$33071, %edx
	movl	$10243, %esi
	movl	$34067, %edi
	call	glTexParameteri
	movl	$33071, %edx
	movl	$32882, %esi
	movl	$34067, %edi
	call	glTexParameteri
	addq	$16, %rsp
	movq	-8(%rbp), %rbx
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE23:
	.size	MipmapsImage2, .-MipmapsImage2
	.globl	initBox
	.type	initBox, @function
initBox:
.LFB24:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	$w_texID, %esi
	movl	$6, %edi
	call	glGenTextures
	movq	wes(%rip), %rdx
	movl	$1, %esi
	movl	$4, %edi
	call	MipmapsImage2
	movl	$6914, %esi
	movl	$1032, %edi
	call	glPolygonMode
	movl	$7, %edi
	call	glBegin
	movss	.LC1(%rip), %xmm3
	movss	.LC2(%rip), %xmm2
	movaps	%xmm2, %xmm1
	movaps	%xmm2, %xmm0
	call	glColor4f
	pxor	%xmm1, %xmm1
	movaps	%xmm1, %xmm0
	call	glTexCoord2f
	movss	.LC4(%rip), %xmm2
	movss	.LC5(%rip), %xmm1
	movaps	%xmm2, %xmm0
	call	glVertex3f
	pxor	%xmm1, %xmm1
	movss	.LC6(%rip), %xmm0
	call	glTexCoord2f
	movss	.LC4(%rip), %xmm2
	movss	.LC5(%rip), %xmm1
	movaps	%xmm1, %xmm0
	call	glVertex3f
	movss	.LC6(%rip), %xmm1
	movaps	%xmm1, %xmm0
	call	glTexCoord2f
	movss	.LC5(%rip), %xmm2
	movaps	%xmm2, %xmm1
	movaps	%xmm2, %xmm0
	call	glVertex3f
	movss	.LC6(%rip), %xmm1
	pxor	%xmm0, %xmm0
	call	glTexCoord2f
	movss	.LC5(%rip), %xmm2
	movaps	%xmm2, %xmm1
	movss	.LC4(%rip), %xmm0
	call	glVertex3f
	movss	.LC1(%rip), %xmm3
	movss	.LC2(%rip), %xmm2
	movaps	%xmm2, %xmm1
	movaps	%xmm2, %xmm0
	call	glColor4f
	pxor	%xmm1, %xmm1
	movaps	%xmm1, %xmm0
	call	glTexCoord2f
	movss	.LC4(%rip), %xmm2
	movaps	%xmm2, %xmm1
	movss	.LC5(%rip), %xmm0
	call	glVertex3f
	pxor	%xmm1, %xmm1
	movss	.LC6(%rip), %xmm0
	call	glTexCoord2f
	movss	.LC4(%rip), %xmm2
	movaps	%xmm2, %xmm1
	movaps	%xmm2, %xmm0
	call	glVertex3f
	movss	.LC6(%rip), %xmm1
	movaps	%xmm1, %xmm0
	call	glTexCoord2f
	movss	.LC5(%rip), %xmm2
	movss	.LC4(%rip), %xmm1
	movaps	%xmm1, %xmm0
	call	glVertex3f
	movss	.LC6(%rip), %xmm1
	pxor	%xmm0, %xmm0
	call	glTexCoord2f
	movss	.LC5(%rip), %xmm2
	movss	.LC4(%rip), %xmm1
	movaps	%xmm2, %xmm0
	call	glVertex3f
	movss	.LC1(%rip), %xmm3
	movaps	%xmm3, %xmm2
	movss	.LC7(%rip), %xmm1
	movss	.LC8(%rip), %xmm0
	call	glColor4f
	pxor	%xmm1, %xmm1
	movss	.LC6(%rip), %xmm0
	call	glTexCoord2f
	movss	.LC4(%rip), %xmm2
	movaps	%xmm2, %xmm1
	movaps	%xmm2, %xmm0
	call	glVertex3f
	movss	.LC6(%rip), %xmm1
	movaps	%xmm1, %xmm0
	call	glTexCoord2f
	movss	.LC4(%rip), %xmm2
	movss	.LC5(%rip), %xmm1
	movaps	%xmm2, %xmm0
	call	glVertex3f
	movss	.LC6(%rip), %xmm1
	pxor	%xmm0, %xmm0
	call	glTexCoord2f
	movss	.LC5(%rip), %xmm2
	movaps	%xmm2, %xmm1
	movss	.LC4(%rip), %xmm0
	call	glVertex3f
	pxor	%xmm1, %xmm1
	movaps	%xmm1, %xmm0
	call	glTexCoord2f
	movss	.LC5(%rip), %xmm2
	movss	.LC4(%rip), %xmm1
	movaps	%xmm1, %xmm0
	call	glVertex3f
	movss	.LC1(%rip), %xmm3
	movaps	%xmm3, %xmm2
	movss	.LC7(%rip), %xmm1
	movss	.LC8(%rip), %xmm0
	call	glColor4f
	pxor	%xmm1, %xmm1
	movaps	%xmm1, %xmm0
	call	glTexCoord2f
	movss	.LC4(%rip), %xmm2
	movaps	%xmm2, %xmm1
	movaps	%xmm2, %xmm0
	call	glVertex3f
	pxor	%xmm1, %xmm1
	movss	.LC6(%rip), %xmm0
	call	glTexCoord2f
	movss	.LC4(%rip), %xmm2
	movaps	%xmm2, %xmm1
	movss	.LC5(%rip), %xmm0
	call	glVertex3f
	movss	.LC6(%rip), %xmm1
	movaps	%xmm1, %xmm0
	call	glTexCoord2f
	movss	.LC4(%rip), %xmm2
	movss	.LC5(%rip), %xmm1
	movaps	%xmm1, %xmm0
	call	glVertex3f
	movss	.LC6(%rip), %xmm1
	pxor	%xmm0, %xmm0
	call	glTexCoord2f
	movss	.LC4(%rip), %xmm2
	movss	.LC5(%rip), %xmm1
	movaps	%xmm2, %xmm0
	call	glVertex3f
	movss	.LC1(%rip), %xmm3
	movaps	%xmm3, %xmm2
	movss	.LC7(%rip), %xmm1
	movss	.LC8(%rip), %xmm0
	call	glColor4f
	pxor	%xmm1, %xmm1
	movss	.LC6(%rip), %xmm0
	call	glTexCoord2f
	movss	.LC5(%rip), %xmm2
	movss	.LC4(%rip), %xmm1
	movaps	%xmm2, %xmm0
	call	glVertex3f
	movss	.LC6(%rip), %xmm1
	movaps	%xmm1, %xmm0
	call	glTexCoord2f
	movss	.LC5(%rip), %xmm2
	movaps	%xmm2, %xmm1
	movaps	%xmm2, %xmm0
	call	glVertex3f
	movss	.LC6(%rip), %xmm1
	pxor	%xmm0, %xmm0
	call	glTexCoord2f
	movss	.LC4(%rip), %xmm2
	movss	.LC5(%rip), %xmm1
	movaps	%xmm1, %xmm0
	call	glVertex3f
	pxor	%xmm1, %xmm1
	movaps	%xmm1, %xmm0
	call	glTexCoord2f
	movss	.LC4(%rip), %xmm2
	movaps	%xmm2, %xmm1
	movss	.LC5(%rip), %xmm0
	call	glVertex3f
	movss	.LC1(%rip), %xmm3
	movaps	%xmm3, %xmm2
	movss	.LC7(%rip), %xmm1
	movss	.LC8(%rip), %xmm0
	call	glColor4f
	pxor	%xmm1, %xmm1
	movaps	%xmm1, %xmm0
	call	glTexCoord2f
	movss	.LC5(%rip), %xmm2
	movss	.LC4(%rip), %xmm1
	movaps	%xmm2, %xmm0
	call	glVertex3f
	pxor	%xmm1, %xmm1
	movss	.LC6(%rip), %xmm0
	call	glTexCoord2f
	movss	.LC5(%rip), %xmm2
	movss	.LC4(%rip), %xmm1
	movaps	%xmm1, %xmm0
	call	glVertex3f
	movss	.LC6(%rip), %xmm1
	movaps	%xmm1, %xmm0
	call	glTexCoord2f
	movss	.LC5(%rip), %xmm2
	movaps	%xmm2, %xmm1
	movss	.LC4(%rip), %xmm0
	call	glVertex3f
	movss	.LC6(%rip), %xmm1
	pxor	%xmm0, %xmm0
	call	glTexCoord2f
	movss	.LC5(%rip), %xmm2
	movaps	%xmm2, %xmm1
	movaps	%xmm2, %xmm0
	call	glVertex3f
	call	glEnd
	movl	$vbos4, %esi
	movl	$4, %edi
	call	*__glewGenBuffers(%rip)
	movl	vbos4(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movl	$35044, %ecx
	movl	$w_colors, %edx
	movl	$400, %esi
	movl	$34962, %edi
	call	*__glewBufferData(%rip)
	movl	vbos4+4(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movl	$35044, %ecx
	movl	$w_texCoords, %edx
	movl	$200, %esi
	movl	$34962, %edi
	call	*__glewBufferData(%rip)
	movl	vbos4+8(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movl	$35044, %ecx
	movl	$w_vertices, %edx
	movl	$300, %esi
	movl	$34962, %edi
	call	*__glewBufferData(%rip)
	movl	$1, %eax
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE24:
	.size	initBox, .-initBox
	.globl	vertexBox
	.type	vertexBox, @function
vertexBox:
.LFB25:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%rbx
	subq	$8, %rsp
	.cfi_offset 3, -24
1:	call	mcount
	movl	$0, %edi
	call	*__glewEnableVertexAttribArray(%rip)
	movl	$1, %edi
	call	*__glewEnableVertexAttribArray(%rip)
	movl	$2, %edi
	call	*__glewEnableVertexAttribArray(%rip)
	movl	vbos4(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movl	$colors4, %r9d
	movl	$0, %r8d
	movl	$0, %ecx
	movl	$5126, %edx
	movl	$3, %esi
	movl	$2, %edi
	call	*__glewVertexAttribPointer(%rip)
	movl	vbos4+8(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movl	$vertices4, %r9d
	movl	$0, %r8d
	movl	$0, %ecx
	movl	$5126, %edx
	movl	$3, %esi
	movl	$0, %edi
	call	*__glewVertexAttribPointer(%rip)
	movl	vbos4+4(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movl	$texCoords4, %r9d
	movl	$0, %r8d
	movl	$0, %ecx
	movl	$5126, %edx
	movl	$2, %esi
	movl	$1, %edi
	call	*__glewVertexAttribPointer(%rip)
	movl	$0, %ebx
.L5:
	movl	w_texID(,%rbx,4), %esi
	movl	$3553, %edi
	call	glBindTexture
	leal	0(,%rbx,4), %esi
	movl	$4, %edx
	movl	$7, %edi
	call	glDrawArrays
	addq	$1, %rbx
	cmpq	$6, %rbx
	jne	.L5
	movl	$2, %edi
	call	*__glewDisableVertexAttribArray(%rip)
	movl	$1, %edi
	call	*__glewDisableVertexAttribArray(%rip)
	movl	$0, %edi
	call	*__glewDisableVertexAttribArray(%rip)
	movq	-8(%rbp), %rbx
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE25:
	.size	vertexBox, .-vertexBox
	.globl	renderBox
	.type	renderBox, @function
renderBox:
.LFB26:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%rbx
	subq	$8, %rsp
	.cfi_offset 3, -24
1:	call	mcount
	movl	$32886, %edi
	call	glEnableClientState
	movl	$32884, %edi
	call	glEnableClientState
	movl	$32888, %edi
	call	glEnableClientState
	movl	vbos4(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movl	$colors4, %ecx
	movl	$0, %edx
	movl	$5126, %esi
	movl	$4, %edi
	call	glColorPointer
	movl	vbos4+8(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movl	$vertices4, %ecx
	movl	$0, %edx
	movl	$5126, %esi
	movl	$3, %edi
	call	glVertexPointer
	movl	vbos4+4(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movl	$texCoords4, %ecx
	movl	$0, %edx
	movl	$5126, %esi
	movl	$2, %edi
	call	glTexCoordPointer
	movl	$0, %ebx
.L8:
	movl	w_texID(,%rbx,4), %esi
	movl	$3553, %edi
	call	glBindTexture
	leal	0(,%rbx,4), %esi
	movl	$4, %edx
	movl	$7, %edi
	call	glDrawArrays
	addq	$1, %rbx
	cmpq	$6, %rbx
	jne	.L8
	movl	$32888, %edi
	call	glDisableClientState
	movl	$32884, %edi
	call	glDisableClientState
	movl	$32886, %edi
	call	glDisableClientState
	movq	-8(%rbp), %rbx
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE26:
	.size	renderBox, .-renderBox
	.section	.rodata.str1.1
.LC9:
	.string	"modelview_matrix"
.LC10:
	.string	"projection_matrix"
	.text
	.globl	render
	.type	render, @function
render:
.LFB27:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	subq	$16, %rsp
1:	call	mcount
	movss	%xmm0, -4(%rbp)
	movss	%xmm1, -8(%rbp)
	movss	%xmm2, -12(%rbp)
	call	glPushMatrix
	movss	-12(%rbp), %xmm2
	movss	-8(%rbp), %xmm1
	movss	-4(%rbp), %xmm0
	call	glTranslatef
	movl	$modelviewMatrix.1, %esi
	movl	$2982, %edi
	call	glGetFloatv
	movl	$projectionMatrix.0, %esi
	movl	$2983, %edi
	call	glGetFloatv
	movl	$modelviewMatrix.1, %ecx
	movl	$0, %edx
	movl	$.LC9, %esi
	movl	f(%rip), %edi
	call	Uniform4x4
	movl	$projectionMatrix.0, %ecx
	movl	$1, %edx
	movl	$.LC10, %esi
	movl	f(%rip), %edi
	call	Uniform4x4
	movl	$2929, %edi
	call	glDisable
	movl	$0, %eax
	call	vertexBox
	movl	$vbos4, %esi
	movl	$4, %edi
	call	*__glewDeleteBuffers(%rip)
	movl	$2929, %edi
	call	glEnable
	call	glPopMatrix
	movl	$3553, %edi
	call	glDisable
	call	glFlush
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE27:
	.size	render, .-render
	.local	projectionMatrix.0
	.comm	projectionMatrix.0,64,32
	.local	modelviewMatrix.1
	.comm	modelviewMatrix.1,64,32
	.globl	bot
	.bss
	.align 8
	.type	bot, @object
	.size	bot, 8
bot:
	.zero	8
	.globl	top
	.align 8
	.type	top, @object
	.size	top, 8
top:
	.zero	8
	.globl	wes
	.align 8
	.type	wes, @object
	.size	wes, 8
wes:
	.zero	8
	.globl	sou
	.align 8
	.type	sou, @object
	.size	sou, 8
sou:
	.zero	8
	.globl	eas
	.align 8
	.type	eas, @object
	.size	eas, 8
eas:
	.zero	8
	.globl	nor
	.align 8
	.type	nor, @object
	.size	nor, 8
nor:
	.zero	8
	.globl	w_vertices
	.align 32
	.type	w_vertices, @object
	.size	w_vertices, 100
w_vertices:
	.zero	100
	.globl	w_texCoords
	.align 32
	.type	w_texCoords, @object
	.size	w_texCoords, 100
w_texCoords:
	.zero	100
	.globl	w_colors
	.align 32
	.type	w_colors, @object
	.size	w_colors, 100
w_colors:
	.zero	100
	.globl	vertices4
	.align 32
	.type	vertices4, @object
	.size	vertices4, 100
vertices4:
	.zero	100
	.globl	texCoords4
	.align 32
	.type	texCoords4, @object
	.size	texCoords4, 100
texCoords4:
	.zero	100
	.globl	colors4
	.align 32
	.type	colors4, @object
	.size	colors4, 100
colors4:
	.zero	100
	.globl	countH
	.section	.rodata
	.align 4
	.type	countH, @object
	.size	countH, 4
countH:
	.long	4
	.globl	cubeMapTexAD
	.bss
	.align 4
	.type	cubeMapTexAD, @object
	.size	cubeMapTexAD, 4
cubeMapTexAD:
	.zero	4
	.globl	w_texID
	.align 16
	.type	w_texID, @object
	.size	w_texID, 24
w_texID:
	.zero	24
	.globl	w_images
	.align 32
	.type	w_images, @object
	.size	w_images, 48
w_images:
	.zero	48
	.globl	f
	.align 4
	.type	f, @object
	.size	f, 4
f:
	.zero	4
	.globl	vbos4
	.align 16
	.type	vbos4, @object
	.size	vbos4, 16
vbos4:
	.zero	16
	.section	.rodata.cst4,"aM",@progbits,4
	.align 4
.LC1:
	.long	1060320051
	.align 4
.LC2:
	.long	1008981770
	.align 4
.LC4:
	.long	-1035468800
	.align 4
.LC5:
	.long	1112014848
	.align 4
.LC6:
	.long	1065353216
	.align 4
.LC7:
	.long	1056964608
	.align 4
.LC8:
	.long	1050253722
	.ident	"GCC: (GNU) 12.2.1 20220819 (Red Hat 12.2.1-2)"
	.section	.note.GNU-stack,"",@progbits
